Updates a Taxes And Fee
curl --request PATCH \
--url https://commerce.driv.ly/api/taxesAndFees/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"updatedAt": "<string>",
"createdAt": "<string>",
"salesPrice": "<string>",
"totalTaxesAndFees": "<string>",
"CombinedSalesTax": "<string>",
"shippingCost": "<string>",
"stateSalesTax": "<string>",
"gasGuzzlerTax": "<string>",
"titleFee": "<string>",
"registrationFee": "<string>",
"dmvFee": "<string>",
"dmvFees": [
123
],
"docFee": "<string>",
"combinedFees": "<string>",
"deals": [
123
],
"tenant": 123,
"createdBy": 123
}
'import requests
url = "https://commerce.driv.ly/api/taxesAndFees/{id}"
payload = {
"updatedAt": "<string>",
"createdAt": "<string>",
"salesPrice": "<string>",
"totalTaxesAndFees": "<string>",
"CombinedSalesTax": "<string>",
"shippingCost": "<string>",
"stateSalesTax": "<string>",
"gasGuzzlerTax": "<string>",
"titleFee": "<string>",
"registrationFee": "<string>",
"dmvFee": "<string>",
"dmvFees": [123],
"docFee": "<string>",
"combinedFees": "<string>",
"deals": [123],
"tenant": 123,
"createdBy": 123
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
updatedAt: '<string>',
createdAt: '<string>',
salesPrice: '<string>',
totalTaxesAndFees: '<string>',
CombinedSalesTax: '<string>',
shippingCost: '<string>',
stateSalesTax: '<string>',
gasGuzzlerTax: '<string>',
titleFee: '<string>',
registrationFee: '<string>',
dmvFee: '<string>',
dmvFees: [123],
docFee: '<string>',
combinedFees: '<string>',
deals: [123],
tenant: 123,
createdBy: 123
})
};
fetch('https://commerce.driv.ly/api/taxesAndFees/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"doc": {
"updatedAt": "<string>",
"createdAt": "<string>",
"salesPrice": "<string>",
"totalTaxesAndFees": "<string>",
"CombinedSalesTax": "<string>",
"shippingCost": "<string>",
"stateSalesTax": "<string>",
"gasGuzzlerTax": "<string>",
"titleFee": "<string>",
"registrationFee": "<string>",
"dmvFee": "<string>",
"dmvFees": [
123
],
"docFee": "<string>",
"combinedFees": "<string>",
"deals": [
123
],
"tenant": 123,
"createdBy": 123
},
"message": "<string>"
}{
"errors": [
{
"message": "<string>"
}
]
}Taxes And Fees
Updates a Taxes And Fee
Updates a Taxes And Fee
PATCH
/
taxesAndFees
/
{id}
Updates a Taxes And Fee
Usage with the Drivly SDK
Usage with the Drivly SDK
Make sure you install our SDK first. You can find out how, and more here.
import { SDK } from '@drivly/commerce'
import type { taxesAndFees } from '@drivly/commerce'
const sdk = new SDK(...)
const taxesAndFees = await sdk.taxesAndFees.update(taxesAndFeesId: string, data: taxesAndFees): Promise<taxesAndFees>
Authorizations
Path Parameters
id of the Taxes And Fee
Query Parameters
number of levels to automatically populate relationships and uploads
retrieves document(s) in a specific locale
specifies a fallback locale if no locale value exists
Body
application/json
⌘I